#!/bin/bash
sudo apt-get install apache2 -y

#После установки следует уточнить какой MPM-модуль использует ваш сервер:
sudo apachectl -V | grep -i mpm

#Если это будет prefork или event, то их следует отключить:
sudo a2dismod mpm_prefork
#или
sudo a2dismod mpm_event

#А затем включить модуль worker:
sudo a2enmod mpm_worker

#Затем откройте /etc/apache2/mods-available/mpm_worker.conf и внесите следующие изменения:

#StartServers 1
#MinSpareThreads 1
#MaxSpareThreads 1
sudo sed -i '/StartServers/s/2/1/g' /etc/apache2/mods-available/mpm_worker.conf
sudo sed -i '/MinSpareThreads/s/25/1/g' /etc/apache2/mods-available/mpm_worker.conf
sudo sed -i '/MaxSpareThreads/s/75/1/g' /etc/apache2/mods-available/mpm_worker.conf

#После чего перезапустите веб-сервер:

sudo service apache2 restart

